Create Pay In RequestCopy Pagepost https://openapi.sandbox.xenithpay.com/v1/payinsYou can use this endpoint to create a Pay In request.Recent RequestsLog in to see full request historyTimeStatusUser Agent Retrieving recent requests…LoadingLoading…Body ParamsinitiatedAmountnumberrequiredRequested amount of the transaction in the actual value in the provided currency.currencystringrequiredISO 4217 three-letter code of the transaction's currency.paymentMethodstringrequiredPayment method for this transaction. List of supported methods can be found here.paymentChannelstringrequiredPayment channel for this transaction. List of supported channels can be found here.customerPhoneNumberstringCustomer's phone number. Required for these payment channels: IDR - EWALLET - OVO (numeric, starts with 08, 628, or +628). PKR - EWALLET. referenceCodestringrequiredMerchant-provided identifier for this transaction.customerReferencestringrequiredMerchant-provided identifier of the Customer for this transaction.customerNamestringrequiredMerchant-provided name of the Customer for this transaction (minimum 5 characters).descriptionstringFree-text field for any additional information.callbackUrlurirequiredYour webhook URL to receive transaction notifications.redirectUrlurirequiredURL where the end-customer is redirected to after the transaction is completed. Redirection is not available for the following currency / payment channels: CNY, IDR - OVO, PKR, and PHP.metadataobjectMetadata is required for certain payment channels: THB – PromptPay requires bankAccountName and bankAccountNumber. LAK – LAOQR requires bankId, bankAccountName, and bankAccountNumber. metadata objectHeadersXenith-Api-KeystringrequiredAPI Key will be delivered to you by emailXenith-Request-TimestampstringrequiredISO 8601 date time format, should be in (UTC+0)Xenith-Request-SignaturestringrequiredRefer to page Build Signature and Set Headers for instructions on how to build a signatureX-Idempotency-KeystringrequiredA unique key to prevent duplicate requests. Must be unique across all payin transactions for the merchant. Max 100 characters.Responses 201Successfully creating pay in request 400Payment creation failed due to failing request validation. See the Pay In Errors dictionary for more detail. 500An error occurred while connecting to our server. This could be due to temporary server issues. To ensure the transaction wasn't processed: Use the Get Payin List API to check if the disbursement was created. If not found, you can safely retry the request. When retrying, use the X-Idempotency-Key header with the same value to prevent duplicate transactions. See the Pay In Errors dictionary for more detail.CallbackpayinCallbackpost{$request.requestBody.callbackUrl}Updated about 1 month ago